#!/usr/bin/python
#
# Advisory window for Update Agent
# Copyright (c) 2001 Red Hat, Inc.  Distributed under GPL.
#
# Author: Adrian Likins <alikins@redhat.com> 

import gtk
import libglade
from GTK import TRUE, FALSE
from GDK import WATCH
import gnome
import gnome.ui

class UserPass:
    def __init__(self,username,password):
        self.xml = libglade.GladeXML("/usr/share/rhn/up2date_client/userpass.glade", "UserPassDialog")
        self.win = self.xml.get_widget("UserPassDialog")
        self.win.connect("delete_event", self.close)
        self.win.connect("hide", self.win.hide)
        self.win.connect("destroy", gtk.mainquit)
        self.xml.get_widget("closeButton").connect("pressed", self.win.hide)
	self.xml.get_widget("okButton").connect("clicked", self.showdata)
	self.xml.get_widget("passwordEntry").connect("activate", self.showdata)
        self.mainloop()
        self.username = username
        self.password = password

    def close(self, win=None, event=None):
        self.win.hide()
        while gtk.events_pending():
            gtk.mainiteration(FALSE)
        
    def destroy(self):
        while gtk.events_pending():
            gtk.mainiteration(FALSE)
        gtk.mainquit()
        self.win.destroy()

    def hide(self,win=None,event=None):
        self.win.hide()
        while gtk.events_pending():
            gtk.mainiteration(FALSE)
        gtk.mainquit()
        del self

    def showdata(self,widget=None,foo=None):
        self.username = self.xml.get_widget("usernameEntry").get_text()
        self.password = self.xml.get_widget("passwordEntry").get_text()
	self.hide()

    def mainloop(self):
        gtk.mainloop()


def main():
        gui = UserPass("","")
        gtk.mainloop()


if __name__ == "__main__":
	main()
                         
